[lxc-devel] [lxd/master] tests: Handle built-in shiftfs

stgraber on Github lxc-bot at linuxcontainers.org
Thu Apr 11 14:26:55 UTC 2019


A non-text attachment was scrubbed...
Name: not available
Type: text/x-mailbox
Size: 354 bytes
Desc: not available
URL: <http://lists.linuxcontainers.org/pipermail/lxc-devel/attachments/20190411/dc49e3c0/attachment.bin>
-------------- next part --------------
From 1a12314668bafd165ab50d9b8eca3d83ac9562b3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Thu, 11 Apr 2019 10:26:36 -0400
Subject: [PATCH] tests: Handle built-in shiftfs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: St├ęphane Graber <stgraber at ubuntu.com>
---
 test/suites/security.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/suites/security.sh b/test/suites/security.sh
index a89c846d2d..5be9a84ef2 100644
--- a/test/suites/security.sh
+++ b/test/suites/security.sh
@@ -130,7 +130,7 @@ test_security_protection() {
   lxc profile unset default security.protection.delete
 
   # Test shifting protection
-  if [ ! -e /sys/module/shiftfs/ ]; then
+  if ! grep -q shiftfs /proc/filesystems; then
     lxc init testimage c1
     lxc start c1
     lxc stop c1 --force


More information about the lxc-devel mailing list